<?php
require "racs.php";
require "vtshowsBBB.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
?>
<html>
SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8
<title>Diana Total Lost SKU</title>

<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="vtxstyles.css">
<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
pvl=dt.rows[cnt].cells[2].innerText.toLowerCase();

if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0 || pvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}

}


</script>


</head>

<body style='font-family:calibri;font-size:small;'>

<div style='width=30%;height:100%%;'>

<?php


$flt=racs(1);

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");

if(isset($_REQUEST['starts'])){
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['chanell'])){
$chanell=$_REQUEST['chanell'];}
else{
$chanell='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['voucher'])){
$voucher=$_REQUEST['voucher'];}
else{
$voucher='all';}

#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($chanell)!='all'){
$flt=$flt." and chanell='".$chanell."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}
if(strtolower($voucher)!='all'){
$flt=$flt." and voucher_number='".$voucher."' ";}
stps(1);

printf("<div class='sds'>");
odrdash(1);
printf("</div>");
printf("<div class='mnf'>");
printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>Products - Lost summary</div>");


$tv=0;
$tz=0;
$arr=array();

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

printf("<div style='width:90%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");

printf("<form method='post' action='rpmlostitem.php?actp=rpt%s'><table style='width:100%%;font-size:13;'>",$sprt);
printf("<tr><td style='color:grey;'>Select the date range</td><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td>
<input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></form>",$starts,$ends);

printf("<td width=40%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");

printf("<table id='dt' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'>
<td style='border:1px solid white;text-align:left;'>Range</td>
<td style='border:1px solid white;text-align:left;'>Sub range</td>
<td style='border:1px solid white;text-align:left;'>Item</td>
<td style='border:1px solid white;'>Order qty</td>
<td style='border:1px solid white;'>Sales qty</td>
<td style='border:1px solid white;'>Loss qty</td>
<td style='border:1px solid white;'>Order Value</td>
<td style='border:1px solid white;'>Sales Value</td>
<td style='border:1px solid white;'>Loss Value</td>
</tr>");

$sqlst="select mranges,msubranges,mitems,tgvl,tgvll,tgwt,tgwtt from (select distinct item_ranges as mranges,sub_ranges as msubranges,item_names as mitems from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".
$ends."' and invoice_types<>'Sales returns' and agent_names<>'Cash Sales' and voucher_number<>'' union select distinct item_ranges,sub_ranges,item_names from rc_orders ".$flt." and invoice_types<>'Sales returns' and agent_names<>'Cash Sales' and voucher_number<>'' ) as ags 

left join (select item_ranges,sub_ranges,item_names,sum(box_qty) as tgvl,sum(box_qty*box_price) as tgwt from rc_orders ".$flt." group by item_ranges,sub_ranges,item_names) as tgs on tgs.item_ranges=mranges and tgs.sub_ranges=msubranges and tgs.item_names=mitems

left join (select item_ranges,sub_ranges,item_names,sum(box_qty) as tgvll,sum(box_qty*box_price) as tgwtt from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".
$ends."' group by item_ranges,sub_ranges,item_names) as tgss on tgss.item_ranges=mranges and tgss.sub_ranges=msubranges and tgss.item_names=mitems order by mranges,msubranges";
 
$tgv=0;
$acv=0;
$tgw=0;
$tgwt=0;
$tgwtt=0;

 
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$tgv=$tgv+$rst[3];
$acv=$acv+$rst[4];
$tgwt=$tgwt+$rst[5];
$tgwtt=$tgwtt+$rst[6];



printf("<tr style='border-bottom:1px solid silver;'><td>%s</td><td>%s</td><td>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td>",
$rst[0],$rst[1],$rst[2],number_format($rst[3],0,'.',','),number_format($rst[4],0,'.',','),number_format($rst[3]-$rst[4],0,'.',','),
number_format($rst[5],0,'.',','),number_format($rst[6],0,'.',','),number_format($rst[5]-$rst[6],0,'.',','));
}


printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'><td>Total</td><td></td><td></td><td></td><td></td><td></td>
<td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td></tr></table>",number_format($tgwt,0,'.',','),number_format($tgwtt,0,'.',','),number_format($tgwt-$tgwtt,0,'.',','));


printf("</div>");

}

?>

</div>
</body>
</html>